Subject: bug#17507: Documentation for `add-text-property' and relatives

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Aug 2019 09:47:18 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Eli Barzilay <[email-masked]>,  [email-masked]
> Date: Fri, 16 Aug 2019 13:04:34 -0700
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > In Emacs, text properties are stored separately from the text itself.
> > In particular, text properties of a string are not part of the string
> > text, they live in a separate structure, and a string only maintains a
> > reference to that structure.
> 
> Well, isn't that the same thing conceptually as the properties being in
> the string object?

It depends on your concepts.  I'm trying to determine which part of
the related concepts contributed to the confusion reported in the bug
report.